[![CircleCI](https://img.shields.io/circleci/project/github/yldio/joyent-portal/master.svg)](https://circleci.com/gh/yldio/joyent-portal)
[![License: MPL 2.0](https://img.shields.io/badge/License-MPL%202.0-brightgreen.svg)](https://opensource.org/licenses/MPL-2.0)
[![standard-readme compliant](https://img.shields.io/badge/standard--readme-OK-green.svg)](https://github.com/RichardLitt/standard-readme)

## Table of Contents

* [Requirements](#requirements)
* [Links](#links)
* [Related](#related)
* [Contribute](#contribute)
* [License](#license)

## Requirements

* [Triton account](https://sso.joyent.com/signup)
* [Triton CLI](https://www.npmjs.com/package/triton)
* [Docker](https://www.docker.com/)

## Links

* [Joyent Ui Toolkit](https://joyent-ui-toolkit.now.sh/)
* [Create Instance Prototype](https://create-instance-prototype.now.sh)

## Related

* [cloudapi-gql](https://github.com/yldio/cloudapi-gql)

#### CoPilot

* [copilot](https://github.com/yldio/copilot)
* [docker-compose-api](https://github.com/yldio/docker-compose-api)

#### styled-components

* [normalized-styled-components](https://github.com/yldio/normalized-styled-components)
* [joyent-react-styled-flexboxgrid](https://github.com/yldio/joyent-react-styled-flexboxgrid)
* [styled-is](https://github.com/yldio/styled-is)

#### Utilities

* [pseudo-yaml-ast](https://github.com/yldio/pseudo-yaml-ast)
* [pseudo-json-ast](https://github.com/yldio/pseudo-json-ast)
* [unitcalc](https://github.com/yldio/unitcalc)
* [remcalc](https://github.com/yldio/remcalc)
* [rnd-id](https://github.com/yldio/rnd-id)

#### Tooling

* [react-screenshot-renderer](https://github.com/yldio/react-screenshot-renderer)
* [stylelint-config-joyent-portal](https://github.com/yldio/stylelint-config-joyent-portal)
* [joyent-react-scripts](https://github.com/yldio/joyent-react-scripts)
* [babel-preset-joyent-portal](https://github.com/yldio/babel-preset-joyent-portal)
* [eslint-config-joyent-portal](https://github.com/yldio/eslint-config-joyent-portal)

#### Components

* [react-topology](https://github.com/yldio/react-topology)
* [metrics](https://github.com/yldio/metrics-yall)
* [joyent-manifest-editor](https://github.com/yldio/joyent-manifest-editor)

## Contribute

See [the contribute file](CONTRIBUTING.md)!

## License

[MPL-2.0](LICENSE)
